package com.mx.dla.dda.contrato.titulos.daos;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.contrato.titulos.dtos.DetalleTituloTransaccion;

public interface DetalleTituloTransaccionDmDAO {
	
	
	public void insertarDetalleTituloTX(DetalleTituloTransaccion detalle);
	public void actualizarDetalleTituloTX(DetalleTituloTransaccion detalle);
	public void borrarDetalleTituloTX(@Param("idTituloTnt") Long idTituloTnt);
	public DetalleTituloTransaccion buscarDetalleTituloTX(@Param("idTituloTnt") Long idTituloTnt);
	public void borrarDetalleTituloTXPorIdLista(@Param("idLista") Long idLista);

}
